Subject: Re: bug#14050: 24.3.50; Tramp crashes emacs on OS X when menu is clicked

From: Jan Djärv <[email-masked]>
Date: Sun, 5 May 2013 17:16:58 +0200

Hello.

A fix has been checked in to the trunk.  Please try it.

Thanks,

	Jan D.

1 apr 2013 kl. 12:48 skrev Giovanni Gigante <[email-masked]>:

> 
> 
> Tried with the 2013-04-01 nightly.
> It's slightly better, but the problem is not solved yet.
> Now, instead of crashing immediately when I click on the menu, emacs tries to do something, the menu appears, partially, randomly, sluggishly, with manifest difficulties. If I insist using it, emacs crashes or freezes.
> 
> Giovanni
> 
> 
> Jan Djärv wrote:
>> Hello.
>> 
>> This sounds a lot like bug 12698 and 13840.  Can you try the latest trunk, where a fix has been made for these bugs.  I guess you have to try nightly from 2013-03-31.
>> 
>> Thanks,
>> 
>> 	Jan D.
>> 
>> 24 mar 2013 kl. 14:58 skrev Giovanni Gigante <[email-masked]>:
>> 
>>> Step to reproduce:
>>> 1. open a remote file with tramp (e.g. C-c C-f /ssh:user@host:/anything)
>>> 2. as soon as any voice of the menu bar is clicked, emacs ALWAYS crashes immediately.
>>> This, however, does not happen if the tramp buffer is not currently visible on screen.
>>> 
>>> I am on Mac OS X 10.7.5 using latest emacs nightly build from emacsforosx.com.
>>> 
>>> In GNU Emacs 24.3.50.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
>>> of 2013-03-24 on bob.porkrind.org
>>> Bzr revision: 112125 [email-masked]
>>> Windowing system distributor `Apple', version 10.3.1138
>>> Configured using:
>>> `configure --host=x86_64-apple-darwin --build=i686-apple-darwin
>>> --with-ns'
>>> 
>>> Important settings:
>>> value of $LANG: it_IT.UTF-8
>>> locale-coding-system: utf-8-unix
>>> default enable-multibyte-characters: t
>>> 
>>> Major mode: Lisp Interaction
>>> 
>>> Minor modes in effect:
>>> tooltip-mode: t
>>> mouse-wheel-mode: t
>>> tool-bar-mode: t
>>> menu-bar-mode: t
>>> file-name-shadow-mode: t
>>> global-font-lock-mode: t
>>> font-lock-mode: t
>>> blink-cursor-mode: t
>>> auto-composition-mode: t
>>> auto-encryption-mode: t
>>> auto-compression-mode: t
>>> line-number-mode: t
>>> transient-mark-mode: t
>>> 
>>> Recent input:
>>> <escape> x r e p o r t - e m a c s - b u g <return
>>> Recent messages:
>>> For information about GNU Emacs and the GNU system, type C-h C-a.
>>> 
>>> Load-path shadows:
>>> None found.
>>> 
>>> Features:
>>> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
>>> easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
>>> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
>>> mm-util mail-prsvr mail-utils time-date tooltip ediff-hook vc-hooks
>>> lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
>>> fringe tabulated-list newcomment lisp-mode register page menu-bar
>>> rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
>>> facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
>>> tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
>>> czech european ethiopic indian cyrillic chinese case-table epa-hook
>>> jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
>>> cus-face macroexp files text-properties overlay sha1 md5 base64 format
>>> env code-pages mule custom widget hashtable-print-readable backquote
>>> make-network-process ns multi-tty emacs)
>>> 
>>> 
>>>